Skip to content

Instantly share code, notes, and snippets.

@spinnaker-release
Created August 29, 2018 19:08
Show Gist options
  • Star 0 You must be signed in to star a gist
  • Fork 0 You must be signed in to fork a gist
  • Save spinnaker-release/75f98544672a4fc490d451c14688318e to your computer and use it in GitHub Desktop.
Save spinnaker-release/75f98544672a4fc490d451c14688318e to your computer and use it in GitHub Desktop.
Spinnaker 1.7.8

This patch includes an important fix for Spinnaker 1.7 to continue to talk to GCE APIs.

Fixes

  • aws: only set encryption if snapshotId is not provided (914b3a48)
  • cache: metrics support may be null (#2622) (46612517)
  • core: Fix dependency in Dockerfile (#2883) (#2884) (2b9b039a)
  • provider/ecs: Changes to allow ECS to work with AWS provider. (#2500) (52f86afe)
  • provider/gce: Merge cache relationships in onDemand resolution. (#2517) (2c11a521)
  • provider/google: batch & service path must match (#2925) (096a8b11)
  • provider/google: remove json key from logs during init (cf5ebf55)
  • provider/kubernetes: sub manifests by namespace (#2641) (f432528e)
  • provider/kubernetes: support looking up non-namespaced manis (#2634) (ddc57388)
  • provider/kubernetes: v2 check job failed (#2608) (e34bebaf)
  • provider/kubernetes: lookup of oldest server group (#2573) (7c7a4ff4)
  • provider/kubernetes: v2 search omit null (#2568) (6698b6a4)
  • provider/kubernetes: support key ref secrets & cms (#2566) (d103b404)
  • provider/kubernetes: fix v1 red/black pod restarts (#2553) (e4b6d4c7)
  • provider/kubernetesv2: fix secretVolumeReplacer (#2565) (8fe7e6ed)

Other

  • fix S3 being unable to talk to custom API endpoint (0eb10e5a)
  • Dockerfile: Update python version to match alpinelinux. (#2770) (deb9818e)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment